defmodule DecentralisedBookIndex.Sync.DataTransformers.PublisherTransformer do
  def from_json(json_body) do
    json_body =
      if Map.has_key?(json_body, "data") do
        json_body["data"]
      else
        json_body
      end

    attrs =
      %{
        id: get_in(json_body, ["id"]),
        name: get_in(json_body, ["attributes", "name"]),
        inserted_at: get_in(json_body, ["attributes", "inserted_at"]),
        updated_at: get_in(json_body, ["attributes", "updated_at"])
      }

    {:ok, attrs}
  end
end
